# CPU Architecture (`cpuarch`)

> Output the hosts CPU architecture

## Description

Output the hosts CPU architecture.

## Usage

```
cpuarch -> <stdout>
```

## Examples

```
» cpuarch
amd64
```

## Synonyms

* `cpuarch`
* `sys.cpu.arch`


## See Also

* [CPU Count (`cpucount`)](../commands/cpucount.md):
  Output the number of CPU cores available on your host
* [Operating System (`os`)](../commands/os.md):
  Output the auto-detected OS name

<hr/>

This document was generated from [builtins/core/system/system_doc.yaml](https://github.com/lmorg/murex/blob/master/builtins/core/system/system_doc.yaml).